Loading...
Searching...
No Matches
Catch::Clara::Args Class Reference

`#include <catch_amalgamated.hpp>`

Collaboration diagram for Catch::Clara::Args:
[legend]

## Public Member Functions

| Args (int argc, char const *const *argv)
| Args (std::initializer_list< StringRef > args)
StringRef | exeName () const

## Private Attributes

StringRef | m_exeName
std::vector< StringRef > | m_args

## Detailed Description

Wrapper over argc + argv, assumes that the inputs outlive it

## Constructor & Destructor Documentation

## Args() [1/2]

Catch::Clara::Args::Args | ( | int | argc,
|  | char const *const * | argv )

## Args() [2/2]

Catch::Clara::Args::Args | ( | std::initializer_list< StringRef > | args | ) |

## Member Function Documentation

## exeName()

StringRef Catch::Clara::Args::exeName | ( |  | ) | const

inline

Here is the caller graph for this function:

## Member Data Documentation

## m_args

std::vector<StringRef> Catch::Clara::Args::m_args

private

## m_exeName

StringRef Catch::Clara::Args::m_exeName

private

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp